pcl::RegionXY Struct Reference

Defines a region in XY-space. More...

`#include <pcl/recognition/region_xy.h>`

## Public Member Functions

| RegionXY ()
| Constructor. More...
void | serialize (std::ostream &stream) const
| Serializes the object to the specified stream. More...
void | deserialize (::std::istream &stream)
| Deserializes the object from the specified stream. More...

## Public Attributes

int | x
| x-position of the region. More...
int | y
| y-position of the region. More...
int | width
| width of the region. More...
int | height
| height of the region. More...

## Detailed Description

Defines a region in XY-space.

Author
  Stefan Holzer

Definition at line 82 of file region_xy.h.

## Constructor & Destructor Documentation

pcl::RegionXY::RegionXY | ( |  | ) |

inline

Constructor.

Definition at line 85 of file region_xy.h.

## Member Function Documentation

void pcl::RegionXY::deserialize | ( | ::std::istream & | stream | ) |

inline

Deserializes the object from the specified stream.

Parameters

  [in] | stream | the stream the object will be deserialized from.

Definition at line 110 of file region_xy.h.

References pcl::read().

Referenced by pcl::DenseQuantizedMultiModTemplate::deserialize(), and pcl::SparseQuantizedMultiModTemplate::deserialize().

void pcl::RegionXY::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the object to the specified stream.

Parameters

  [out] | stream | the stream the object will be serialized to.

Definition at line 99 of file region_xy.h.

References pcl::write().

Referenced by pcl::DenseQuantizedMultiModTemplate::serialize(), and pcl::SparseQuantizedMultiModTemplate::serialize().

## Member Data Documentation

int pcl::RegionXY::height

height of the region.

Definition at line 94 of file region_xy.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

int pcl::RegionXY::width

width of the region.

Definition at line 92 of file region_xy.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

int pcl::RegionXY::x

x-position of the region.

Definition at line 88 of file region_xy.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::applyProjectiveDepthICPOnDetections(), pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

int pcl::RegionXY::y

y-position of the region.

Definition at line 90 of file region_xy.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::applyProjectiveDepthICPOnDetections(), pcl::ColorGradientDOTModality< PointInT >::computeInvariantQuantizedMap(), pcl::LineRGBD< PointXYZT, PointRGBT >::detect(), pcl::LineRGBD< PointXYZT, PointRGBT >::detectSemiScaleInvariant(), pcl::LineRGBD< PointXYZT, PointRGBT >::refineDetectionsAlongDepth(), and pcl::LineRGBD< PointXYZT, PointRGBT >::removeOverlappingDetections().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/region_xy.h